Function
streamPut
Write different types to stream
streamPut(stream, source)
Include Headers
seqan/stream.h
Parameters

stream | The stream object to write to. Types: StreamConcept
source | The data to write to the stream. Types: char * (must be 0-terminated!), CharString, numerical types (int, double ...), String<char, *>

Remarks
Implementation note: for some specializations of StreamConcept certain conversions take place through stringstream and a buffer of size 1023. It follows that the result of the conversion cannot be longer. However this should only effect numericals right now. If you still encounter truncated strings with another type, convert to const char* manually before writing.
Return Values
int with an error code, 0 on success.
Part of Concept
StreamConcept
See Also
streamWriteBlock, streamWriteChar
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59